Subject: bug#7203: [PATCH] sort: fix unportable conversion of unsigned char * -> char *

From: Jim Meyering <[email-masked]>
Date: Wed, 13 Oct 2010 06:26:56 +0200

Paul Eggert wrote:
> On 10/12/10 14:28, Jim Meyering wrote:
>> This feels like enough of a technicality that I'd prefer to defer it.
>
> Well, my suspicion is that some C compilers simply refuse to compile
> the construct, as they're entitled to do.  I vaguely recall that
> happening in the past.  No big deal of course.

Could well be.
If fixing this decreases by one the number of bug reports,
then it'll have been worth applying, and I can think of at
least one test-system-menagerie where it may well affect several.
So go ahead and push that after all.

> You're right about the word "regression": I should have called it a "warning"
> or "compile-time issue" or something like that, since it's not a run-time
> problem on all practical porting hosts.